eventselection: 
  process:
    process_type: interpolated-script-cmd
    script: |
      source /home/atlas/release_setup.sh 
      source /code/src/build/x86*/setup.sh 
      cd run
      python ../scripts/ModConfig.py -i ../source/InSituJES/share/configFile -m {configMod}
      cp tempModConfig.txt ../source/InSituJES/share/configFile
      echo "{SERVICE_PASS}" | kinit {CERN_USER}@CERN.CH
      RunInSituJES --config {configFile} --inputFile {inputFile} --outputDir output
      cp output/hist-sample.root {outputFile}
  publisher:
    publisher_type: interpolated-pub
    publish:
      histFile: '{outputFile}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/mpf
    imagetag: r21-c1383833

validate:
  process:
    process_type: interpolated-script-cmd
    script: |
      pwd
      source /home/atlas/release_setup.sh 
      ls
      python scripts/DrawHist.py -i {histFile} -p hJetPT -o {outputPlot}
  publisher:
    publisher_type: interpolated-pub
    publish:
      plotFile: '{outputPlot}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/mpf
    imagetag: r21-c1383833
    
        
